Bug 1444172 - Ability to create cloud volumes for a specific block storage manager broke forms dealing with cloud volumes.
Summary: Ability to create cloud volumes for a specific block storage manager broke fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Aparna Karve
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On: 1443188
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 18:51 UTC by Satoe Imaishi
Modified: 2017-05-31 14:56 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1443188
Environment:
Last Closed: 2017-05-31 14:56:33 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-20 22:18:01 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/52e95b03c5992b1f137f04a828f6728eaa625a38

commit 52e95b03c5992b1f137f04a828f6728eaa625a38
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Apr 20 03:07:48 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 20 18:17:05 2017 -0400

    Merge pull request #950 from gberginc/fix/cloud_volume_forms
    
    Fix and modernise cloud volume forms
    (cherry picked from commit 6d5faea247e6007b5b3ebd3b1c17e074c99770b7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444172

 .../cloud_volume/cloud_volume_form_controller.js   | 224 +++++++++++++--------
 app/controllers/cloud_volume_controller.rb         |   7 +-
 app/views/cloud_volume/_common_new_edit.html.haml  | 102 ++++++++--
 app/views/cloud_volume/attach.html.haml            |  48 +++--
 app/views/cloud_volume/backup_new.html.haml        |  55 ++---
 app/views/cloud_volume/backup_select.html.haml     |  51 ++---
 app/views/cloud_volume/detach.html.haml            |  42 ++--
 app/views/cloud_volume/edit.html.haml              |  27 +--
 app/views/cloud_volume/new.html.haml               |  93 +--------
 app/views/cloud_volume/snapshot_new.html.haml      |  44 ++--
 10 files changed, 374 insertions(+), 319 deletions(-)

Comment 3 Matouš Mojžíš 2017-05-28 14:01:55 UTC
Verified in 5.8.0.16. Attach/detach, add a new cloud volume, edit, create snapshot from volume works.

Comment 5 errata-xmlrpc 2017-05-31 14:56:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.